cmdargs

System.Console.CmdArgs.Explicit.Help

Synopsis

- data HelpFormat
  - = HelpFormatDefault
  - | HelpFormatOne
  - | HelpFormatAll
  - | HelpFormatBash
  - | HelpFormatZsh
- helpText :: [String] -> HelpFormat -> Mode a -> [Text]

# Documentation

data HelpFormat

Specify the format to output the help.

Constructors

HelpFormatDefault | Equivalent to `HelpFormatAll` if there is not too much text, otherwise `HelpFormatOne`.
HelpFormatOne | Display only the first mode.
HelpFormatAll | Display all modes.
HelpFormatBash | Bash completion information
HelpFormatZsh | Z shell completion information

Instances

Bounded HelpFormat |
Enum HelpFormat |
Eq HelpFormat |
Ord HelpFormat |
Read HelpFormat |
Show HelpFormat |
Default HelpFormat |

helpText :: [String] -> HelpFormat -> Mode a -> [Text]

Generate a help message from a mode. The first argument is a prefix, which is prepended when not using `HelpFormatBash` or `HelpFormatZsh`.